/*===========================================>修改页面代码字体<===========*/
.cnblogs_code pre {
font-family: Courier New!important;
font-size: 15px!important;
word-wrap: break-word;
white-space: pre-wrap;
}

.cnblogs_code span {
font-family: Courier New!important;
font-size: 15px!important;
line-height: 1.5!important;
}
.postBody {
    line-height: 1.5;
    color: #333;
    font-size: 15px;
}
.postTitle {
    font-size: 140%;
    font-weight: bold;
    float: right;
    line-height: 1.5;
    width: 100%;
    clear: both;
}
.postDesc {
    float: right;
    width: 100%;
    clear: both;
    text-align: right;
    padding-right: 5px;
    color: #0a3275;
    margin-top: 5px;
}
.postDesc a:link, .postDesc a:visited, .postDesc a:active {
    color: #3b78dd;
}
/*======================================================>修改背景样式<===========*/
#google_ad_c1, #google_ad_c2 {display:none;}
.syntaxhighlighter a, .syntaxhighlighter div, .syntaxhighlighter code, .syntaxhighlighter table, .syntaxhighlighter table td, .syntaxhighlighter table tr, .syntaxhighlighter             table tbody, .syntaxhighlighter table thead, .syntaxhighlighter table caption, .syntaxhighlighter textarea {
font-size: 14px!important;
}
#home {
opacity: 0.90;
margin: 0 auto;
width: 85%;
min-width: 950px;
background-color: rgba(199, 210, 230, 0.77);
padding: 30px;
margin-top: 30px;
margin-bottom: 50px;
box-shadow: 0 2px 6px rgba(100, 100, 100, 0.3);
}
#blogTitle h1 {
font-size: 30px;
font-weight: bold;
font-family: "Comic Sans MS";
line-height: 1.5em;
margin-top: 20px;
color: #515151;
}
#navList a:hover {
color: #4C9ED9;
text-decoration: none;
}
#navList a {
display: block;
width: 5em;
height: 22px;
float: left;
text-align: center;
padding-top: 18px;
}
#navigator {
font-size: 15px;
border-bottom: 1px solid #ededed;
border-top: 1px solid #ededed;
height: 50px;
clear: both;
margin-top: 25px;
}
.blogStats {
    float: left;
    color: #3d9e95;
    margin-top: 8px;
    margin-right: 2px;
    text-align: right;
}
.catListTitle {
margin-top: 21px;
margin-bottom: 10.5px;
text-align: left;
border-left: 10px solid rgba(82, 168, 236, 0.8);
padding: 10px 0 14px 10px;
background-color: #f5f5f5;
}
#ad_under_post_holder #google_ad_c1,#google_ad_c2{  
display: none !important;
}
body {
color: #000;/*============================>背景图url==============================*/

background: url(https://files-cdn.cnblogs.com/files/xp1315458571/xueshanbeijing.bmp) fixed;
background-size: 100%;
background-repeat: no-repeat;
font-family: "Helvetica Neue",Helvetica,Verdana,Arial,sans-serif;
font-size: 12px;
min-height: 101%;
}
#topics .postTitle {
border: 0px;
font-size: 200%;
font-weight: bold;
float: left;
line-height: 1.5;
width: 100%;
padding-left: 5px;
}
/*============================>背景图url==============================*/

div.commentform p{
margin-bottom:10px;
}
.comment_btn {
padding: 5px 10px;
height: 35px;
width: 90px;
border: 0 none;
border-radius: 5px;
background: #ddd;
color: #999;
cursor:pointer;
font-family: "Lato", Helvetica Neue, Helvetica, Microsoft Yahei, 宋体, Arial, sans-serif;
text-shadow: 0 0 1px #fff;
display: inline !important;
}
.comment_btn:hover{
padding: 5px 10px;
height: 35px;
width: 90px;
border: 0 none;
border-radius: 5px;
background: #258fb8;
color: white;
cursor:pointer;
font-family: "Lato", Helvetica Neue, Helvetica, Microsoft Yahei, 宋体, Arial, sans-serif;
text-shadow: 0 0 1px #fff;
display: inline !important;
}
#commentform_title {
background-image:none;
background-repeat:no-repeat;
margin-bottom:10px;
padding:0;
font-size:24px;
}
#commentbox_opt,#commentbox_opt + p {
text-align:center;
}
.commentbox_title {
width: 100%;
}
#tbCommentBody {
font-family:'Microsoft Yahei', Microsoft Yahei, 宋体, sans-serif;
margin-top:10px;
max-width:100%;
min-width:100%;
background:white;
color:#333;
border:2px solid #fff;
box-shadow:inset 0 0 8px #aaa;
// padding:10px;
height:250px;
font-size:14px;
min-height:120px;
}
.feedbackItem {
font-size:14px;
line-height:24px;
margin:10px 0;
padding:20px;
background:#F2F2F2;
box-shadow:0 0 5px #aaa;
}
.feedbackListSubtitle {
font-weight:normal;
}

#blog-comments-placeholder, #comment_form {
padding: 20px;
background: #fff;
-webkit-box-shadow: 1px 2px 3px #ddd;
box-shadow: 1px 2px 3px #ddd;
margin-bottom: 50px;
}
.feedback_area_title {
margin-bottom: 15px;
font-size: 1.8em;
}
.feedbackItem {
border-bottom: 1px solid #CCC;
margin-bottom: 10px;
padding: 5px;
background: rgb(248, 248, 248);
}
.color_shine {background: rgb(226, 242, 255);}
.feedbackItem:hover {-webkit-animation-name: color_shine;-webkit-animation-duration: 2s;-webkit-animation-iteration-count: infinite;}
#comment_form .title {
font-weight: normal;
margin-bottom: 15px;
}
#header {
    background: url('') no-repeat  right top;
    height:146px;
    padding-top:30px;
}
.dayTitle {
    width: 100%;
    color: #6466b3;
    font-weight: bold;
    line-height: 1.5em;
    font-size: 110%;
    margin-top: 30px;
    margin-bottom: 10px;
    clear:both;
    text-align:center;
}
#topics .postTitle {
    font-size: 130%;
    font-weight: bold;
    float: left;
    line-height: 1.5em;
    width: 100%;
    padding-left: 5px;
    margin-bottom:15px;
    margin-top: 20px;
}
.postTitle a:link, .postTitle a:visited, .postTitle a:active {
    color: #2e38b1de;
}


/*============================>主题结束==============================*/
/* 代码块字体和高度（pre设置   max-height:400px; 则有最大高度）样式  start  ##############################  */
pre{
    border: solid 1px #ccc;
    padding: 3px;
    overflow:auto;
    background: #eee;
    color:#004080;
       max-height:400px;
    font-family:Consolas "Courier New" Fixedsys;
}
.code{}
.longcode{
height: 200px;
}
.console{
    background: #000;
    color: #ccc;
    font-family:"Verdana";
}
/* 代码块字体和高度  end  ##################################################  */

/* 置顶小火箭样式  start_________________________________  */
body{height:3000px;}

#rocket-to-top div {
    left: 0;
    margin: 0;
    overflow: hidden;
    padding: 0;
    position: absolute;
    top: 0;
    width: 149px;
}
#rocket-to-top .level-2 {
    background: url("https://files-cdn.cnblogs.com/files/xp1315458571/o_o_rocket_button_up.bmp") no-repeat scroll -149px 0 transparent;
    display: none;
    height: 250px;
    opacity: 0;
    z-index: 1;
}
#rocket-to-top .level-3 {
    background: none repeat scroll 0 0 transparent;
    cursor: pointer;
    display: block;
    height: 150px;
    z-index: 2;
}
#rocket-to-top {
    background: url("https://files-cdn.cnblogs.com/files/xp1315458571/o_o_rocket_button_up.bmp") no-repeat scroll 0 0 transparent;
    cursor: default;
    display: block;
    height: 250px;
    margin: -125px 0 0;
    overflow: hidden;
    padding: 0;
    position: fixed;
    right: 0;
    top: 80%;
    width: 149px;
    z-index: 11;
}
/* 置顶小火箭样式  end____________________________________________________________________ */

/* 悬浮目录样式  start   ———————————————————————————————————————*/
/*生成博客目录的CSS*/
#uprightsideBar{
    font-size:12px;
    font-family:Arial, Helvetica, sans-serif;
    text-align:left;
    position:fixed;/*将div的位置固定到距离top:50px，right:0px的位置，这样div就会处在最右边的位置，距离顶部50px*/
    top:50px;
    right:0px;
    width: auto;
    height: auto; 
  background-color: mediumspringgreen ;
}
#sideBarTab{
    float:left;
    width:30px; 
    border:1px solid #e5e5e5;
    border-right:none;
    text-align:center;
   background-color: mediumspringgreen ;
}

#sideBarContents{
    float:left;
    overflow:auto; 
    overflow-x:hidden;!important;
    width:200px;
    min-height:108px;
    max-height:460px;
    border:1px solid #e5e5e5;
    border-right:none; 
   background-color: mediumspringgreen ;
}
#sideBarContents dl{
    margin:0;
    padding:0;
}

#sideBarContents dt{
    margin-top:5px;
    margin-left:5px;
}

#sideBarContents dd, dt {
    cursor: pointer;
}

#sideBarContents dd:hover, dt:hover {
    color:#A7995A;
}

/*悬浮目录样式  end———————————————————————————————————————————— */
/*取消复制图标开始————————————————————————————————————————*/
.cnblogs_code_copy {
display: none;
}
/*取消复制图标结束————————————————————————————————————————*/

  /*魔方样式============================================*/
.wrap {
   width: 159px;
   height: 200px;
   margin: 0px;
   position:absolute;
    z-index : 10;
      top: 1150px;
      left: 1px;
}

       /*包裹所有容器样式*/
       /*设置transform-style: preserve-3d，让其子元素在3D空间呈现*/
       .cube {
           width: 50px;
           height: 50px;
           margin: 0 auto;
           transform-style: preserve-3d;
           transform: rotateX(-30deg) rotateY(-80deg);
           animation: rotate linear 20s infinite;
      }

       @-webkit-keyframes rotate {
           from {
               transform: rotateX(0deg) rotateY(0deg);
          }
           to {
               transform: rotateX(360deg) rotateY(360deg);
          }
      }

       .cube div {
           position: absolute;
           width: 200px;
           height: 200px;
           opacity: 0.8;
           transition: all .4s;
      }

       /*定义所有图片样式*/
       .pic {
           width: 200px;
           height: 200px;
      }

       .cube .out_front {
           transform: rotateY(0deg) translateZ(100px);
      }

       .cube .out_back {
           transform: translateZ(-100px) rotateY(180deg);
      }

       .cube .out_left {
           transform: rotateY(-90deg) translateZ(100px);
      }

       .cube .out_right {
           transform: rotateY(90deg) translateZ(100px);
      }

       .cube .out_top {
           transform: rotateX(90deg) translateZ(100px);
      }

       .cube .out_bottom {
           transform: rotateX(-90deg) translateZ(100px);
      }

       /*定义小正方体样式*/
       .cube span {
           display: block;
           width: 100px;
           height: 100px;
           position: absolute;
           top: 50px;
           left: 50px;
      }

       .cube .in_pic {
           width: 100px;
           height: 100px;
      }

       .cube .in_front {
           transform: rotateY(0deg) translateZ(50px);
      }

       .cube .in_back {
           transform: translateZ(-50px) rotateY(180deg);
      }

       .cube .in_left {
           transform: rotateY(-90deg) translateZ(50px);
      }

       .cube .in_right {
           transform: rotateY(90deg) translateZ(50px);
      }

       .cube .in_top {
           transform: rotateX(90deg) translateZ(50px);
      }

       .cube .in_bottom {
           transform: rotateX(-90deg) translateZ(50px);
      }

       /*鼠标移入后样式*/
       .cube:hover .out_front {
           transform: rotateY(0deg) translateZ(200px);
      }

       .cube:hover .out_back {
           transform: translateZ(-200px) rotateY(180deg);
      }

       .cube:hover .out_left {
           transform: rotateY(-90deg) translateZ(200px);
      }

       .cube:hover .out_right {
           transform: rotateY(90deg) translateZ(200px);
      }

       .cube:hover .out_top {
           transform: rotateX(90deg) translateZ(200px);
      }

       .cube:hover .out_bottom {
           transform: rotateX(-90deg) translateZ(200px);
      }
  /*魔方样式结束============================================*/